"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TableOfContents = exports.Format = void 0;
var Format;
(function (Format) {
    Format["HTML"] = "html";
    Format["MD"] = "md";
})(Format = exports.Format || (exports.Format = {}));
var TableOfContents;
(function (TableOfContents) {
    TableOfContents["HTML"] = "index.html";
    TableOfContents["MD"] = "README.md";
})(TableOfContents = exports.TableOfContents || (exports.TableOfContents = {}));
(function (TableOfContents) {
    function from(format) {
        switch (format) {
            case Format.HTML:
                return TableOfContents.HTML;
            case Format.MD:
                return TableOfContents.MD;
            default:
                throw new Error(`Not supported format: ${format}`);
        }
    }
    TableOfContents.from = from;
})(TableOfContents = exports.TableOfContents || (exports.TableOfContents = {}));
